petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatFDColoringGetFunction

Gets the function to use for computing the Jacobian.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatFDColoringGetFunction(MatFDColoring matfd,PetscErrorCode (**f)(void),void **fctx)

Not Collective Many br

### Input Parameters

coloring -the coloring context Many br

### Output Parameters

| f | - the function Many br
| fctx | - the optional user-defined function context Many br

Many br

### Keywords

Mat, Jacobian, finite differences, set, function

### See Also

MatFDColoringCreate(), MatFDColoringSetFunction(), MatFDColoringSetFromOptions()

Level:intermediate
Location:src/mat/matfd/fdmatrix.c
Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages